POST V1/Authentication.{ext}/UserPlatform/{billFromDate}/{billToDate}/{siteGroup}/{siteNumber}/{accountNumber}/{transactionId}/{isSmartClient}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
| billFromDate |
No description available |
string |
None. |
| billToDate |
No description available |
string |
None. |
| siteGroup |
No description available |
string |
None. |
| siteNumber |
No description available |
string |
None. |
| accountNumber |
No description available |
string |
None. |
| transactionId |
No description available |
string |
None. |
| isSmartClient |
No description available |
string |
None. |
Body Parameters
System.Web.HttpRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| RequestContext |
No description available |
System.Web.Routing.RequestContext |
None. |
| IsLocal |
No description available |
boolean |
None. |
| HttpMethod |
No description available |
string |
None. |
| RequestType |
No description available |
string |
None. |
| ContentType |
No description available |
string |
None. |
| ContentLength |
No description available |
integer |
None. |
| ContentEncoding |
No description available |
System.Text.Encoding |
None. |
| AcceptTypes |
No description available |
Collection of string |
None. |
| IsAuthenticated |
No description available |
boolean |
None. |
| IsSecureConnection |
No description available |
boolean |
None. |
| Path |
No description available |
string |
None. |
| AnonymousID |
No description available |
string |
None. |
| FilePath |
No description available |
string |
None. |
| CurrentExecutionFilePath |
No description available |
string |
None. |
| CurrentExecutionFilePathExtension |
No description available |
string |
None. |
| AppRelativeCurrentExecutionFilePath |
No description available |
string |
None. |
| PathInfo |
No description available |
string |
None. |
| PhysicalPath |
No description available |
string |
None. |
| ApplicationPath |
No description available |
string |
None. |
| PhysicalApplicationPath |
No description available |
string |
None. |
| UserAgent |
No description available |
string |
None. |
| UserLanguages |
No description available |
Collection of string |
None. |
| Browser |
No description available |
System.Web.HttpBrowserCapabilities |
None. |
| UserHostName |
No description available |
string |
None. |
| UserHostAddress |
No description available |
string |
None. |
| RawUrl |
No description available |
string |
None. |
| Url |
No description available |
URI |
None. |
| UrlReferrer |
No description available |
URI |
None. |
| Params |
No description available |
Dictionary of string [key] and string [value] |
None. |
| Item |
No description available |
string |
None. |
| QueryString |
No description available |
Dictionary of string [key] and string [value] |
None. |
| Form |
No description available |
Dictionary of string [key] and string [value] |
None. |
| Headers |
No description available |
Dictionary of string [key] and string [value] |
None. |
| Unvalidated |
No description available |
System.Web.UnvalidatedRequestValues |
None. |
| ServerVariables |
No description available |
Dictionary of string [key] and string [value] |
None. |
| Cookies |
No description available |
Collection of Object |
None. |
| Files |
No description available |
Collection of Object |
None. |
| InputStream |
No description available |
System.IO.Stream |
None. |
| TotalBytes |
No description available |
integer |
None. |
| Filter |
No description available |
System.IO.Stream |
None. |
| ClientCertificate |
No description available |
Collection of Object |
None. |
| LogonUserIdentity |
No description available |
System.Security.Principal.WindowsIdentity |
None. |
| HttpChannelBinding |
No description available |
System.Security.Authentication.ExtendedProtection.ChannelBinding |
None. |
| TlsTokenBindingInfo |
No description available |
System.Web.ITlsTokenBindingInfo |
None. |
| ReadEntityBodyMode |
No description available |
System.Web.ReadEntityBodyMode |
None. |
| TimedOutToken |
No description available |
System.Threading.CancellationToken |
None. |
Request Formats
application/json, text/json, application/x-www-form-urlencoded
Sample not available.
application/bson
Binary JSON content. See http://bsonspec.org for details.
Response Information
Resource Description
stringResponse Formats
application/json, text/json
"sample string"
application/xml, text/xml
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string</string>
application/bson
Binary JSON content. See http://bsonspec.org for details.